# -*- coding: utf-8 -*-
from __future__ import print_function, absolute_import, division, unicode_literals

import logging
import json
import time
from random import choice
from timeit import default_timer

from flask_ask import statement, question, session, context
from utils import get_alexa_location

from ameise import app, ask, log

# Intents
import domo
import chef
import speller

WELCOME = [
    'Hast du einen Wunsch?',
    'Kann ich dir helfen?',
    'Was soll ich tun?',
    'Ja?',
    'Steht was an?',
    'Was gibt es?',
    'Hast du eine Frage?',
    'Gib mir einen Befehl',
]

REPROMPTS = [
    'Was hast du gesagt?',
    'Ich habe dich nicht verstanden!',
    'Sprich deutlich, dann verstehe ich dich auch!',
    'Nuscheln ist nicht erlaubt!',
    'Was meinst du?',
    ]

@app.route('/')
def homepage():
    return "Hi there, how ya doin?"

@ask.launch
def start_skill():
    print('Welcome ...')
    return question(choice(WELCOME)).reprompt(choice(REPROMPTS))


@ask.intent("LeaveIntent")
def no_intent():
    choices = [
    'Ok, das ist aber schade, Auf Wiedersehen.',
    'Gut, bis zum nächsten Mal.',
    'Ok, selten so viel Spass gehabt.',
    ]
    return statement(choice(choices))

if __name__ == '__main__':
    app.run(debug=True, host='0.0.0.0', port=80)
